#ifndef _MWheel_H_
#define _MWheel_H_

#ifdef __cplusplus
extern "C" {
#endif

#define MWHL_COOKIE 0x4d57484c

typedef struct
{
	WORD	mwhl_version;
	char*	mwhl_info;
	WORD	(*mwhl_wheeled)(WORD Value[16]);
	WORD	(*mwhl_service)(LONG Opcode, ...);
	WORD	mwhl_wheels;
	ULONG	mwhl_control;
				#define MWHL_EMU_WM_ARROWED				0x00000001
				#define MWHL_SCROLL_DESKTOP				0x00000002
				#define MWHL_EMU_MU_KEYBD					0x00000004	/* ab v1.5	bei Fenstern ohne Slider werden Cursor-Tasten gesendet					*/
				#define MWHL_SECOND_WHEEL_WITH_CNTRL	0x00000008	/* ab v2.0	wird das Zweite Rad mit der ALT-Taste emuliert. Mit diesem
																									Flag kann der "Old-Style" mit CNTRL eingestellt werden					*/
				#define MWHL_EMU_MU_KEYBD_SHIFT			0x00010000	/* ab v1.5  */
				#define MWHL_EMU_MU_KEYBD_CNTRL			0x00040000	/* ab v1.5  */
				#define MWHL_MOUSE_SPEEDER					0x00000100	/* ab v1.5	aktiviert den Mouse-Speeder														*/
				#define MWHL_LEFTHAND						0x00000200	/* ab v1.41 aktiviert den Linkshnder-Modus													*/
				#define MWHL_DOUBLECLICK					0x00000400	/* ab v1.41 3. Taste als Doppelklick aktivieren												*/
				#define MWHL_BUTTON_LOCK_MASK				0x7e000000	/* ab v1.41 Fr Buttons dessen LOCK-Bit gesetzt ist wird kein EVNT veranlat		*/
	WORD	mwhl_step[16];
	WORD	mwhl_direction;
	WORD	mwhl_delay;
	UWORD	mwhl_clock;
	UWORD	mwhl_sections;
	UWORD	mwhl_sectionclock;

	/* ab Version 1.5	 */

	UWORD	mwhl_button_set;
	UWORD	mwhl_button_clr;
	UWORD	mwhl_speeder_sw[6];
	UWORD	mwhl_speeder_sf[6];
}MWHL_Cookie;

#ifdef __cplusplus
}
#endif


#endif  /* _MWheel_H_ */
